<?php

/**
* @version		$Id: helper.php 10857 2008-08-30 06:41:16Z willebil $
* @package		Joomla
* @copyright	Copyright (C) 2019 igort. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
*/

// no direct access
defined('_JEXEC') or die;
JLoader::register('modIPricepopupHelper', __DIR__ . '/helper.php');
JHtml::_('bootstrap.framework');

$app = JFactory::getApplication();
$doc = JFactory::getDocument();
$cat_ids = $params->get('catid', array());

$text = $params->get('textnews', '');
if ($text)
	$text = JHTML::_('content.prepare', $text);

$article = '';
$articletitle = '';
$articleid = '';
$articlerow = null;

if (count($cat_ids))
{
	$list = modIPricepopupHelper::getList($params);
	if (count($list))
	{
		$articletitle = $list[0]->title;
		$list[0]->text = $list[0]->introtext . $list[0]->fulltext;
		$article .= $list[0]->text;
		$articlerow = $list[0];
	}
}

if (!$article && !$text)
	return true; 

$remindinterval = (int)$params->get('remindinterval', '1');
$inputCookie = $app->input->cookie;
$lasthash = $inputCookie->get($name = 'ip_popup_lasthash', $defaultValue = null);
$lastdate = $inputCookie->get($name = 'ip_popup_lastdate', $defaultValue = null);

$showOn = true;
$currhash = md5($text.$article);
$datenow = time();
$nextdate = time()+ ($remindinterval * 24 * 60 * 60);
if ($lasthash)
{
	if ($currhash !== $lasthash)
		$showOn = true;
	else 
	{
		$showOn = false;
		if ($lastdate)
		{
			if ($datenow > $lastdate)
				$showOn = true;
		}
	}
}

//$time = time() + 7776000; // (sec) 90 days
//$app->input->cookie->set('ip_popup_lasthash', $lasthash, $time, $app->get('cookie_path', '/'), $app->get('cookie_domain'), $app->isSSLConnection());

//$showOn = 1;

if ($showOn)
{
	$pparams = new JObject;
	// Note JDispatcher is deprecated in favour of JEventDispatcher in Joomla 3.x however still works.
	JPluginHelper::importPlugin('content');
	$dispatcher = JEventDispatcher::getInstance();
	if ($article)
	{
		$article = JHtml::_('content.prepare', $article);
		/*
		$a->text = $article;
		$dispatcher->trigger('onContentPrepare', array('ippopup.article', &$a, &$pparams, 0));
		$article = $a->text;
		*/
	}
	if ($text)
		$text = JHtml::_('content.prepare', $text);
	$display_timeout = (int)$params->get('display_timeout', '3')*1000;
	require(JModuleHelper::getLayoutPath('mod_ipricepopup',$params->get('layout', 'default' )));
}
?>